Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
cmb
Posts: 12317
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by cmb » Thu Dec 21, 2017 3:43 pm

Ralf H. wrote:Gern möchte ich es erst mal portable versuchen.
Hier bin ich momentan noch auf Portable_XH_1.5 mit CMSimple_XH_1.6.10 (auf selbem Stand wie online).
Olaf hat ja schon sehr gute Tipps gegeben. Du kannst natürlich die eigentliche Umstellung aber gut mit Portable_XH 2.0 vorbereiten (eine ältere Version tut's natürlich auch), was sich anbietet, weil doch schneller als FTP-Transfers, und gerade mögliche Plugin-Inkompatibilitäten auch in der lokalen Umgebung auffallen dürften.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Ralf H.
Posts: 292
Joined: Sun Feb 16, 2014 1:45 pm
Location: Münsterland
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by Ralf H. » Thu Dec 21, 2017 3:48 pm

Okay, dann werde ich direkt 1.6.10 auf 1.7.1 versuchen.
Erst mal in portable 1.5.
Wenn das klappt, gehe ich online selbe Schritte durch.

lg,
Ralf
Badminton Individual-/Gruppentraining im Münsterland:
http://www.badminton-tips.de (deutsch)
http://www.badminton-tips.de/en/ (english)

cmb
Posts: 12317
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by cmb » Thu Dec 21, 2017 3:58 pm

Ralf H. wrote:Wenn das klappt, gehe ich online selbe Schritte durch.
Das brauchst du eigentlich nicht; statt dessen kannst du auch das www/ Verzeichnis von Portable_XH hoch laden – sicherheitshalber wie von Olaf beschrieben in einen Unterordner des Webroots, auf den du nach erfolgreichem Testen dann einfach per Redirect umschalten kannst.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Ralf H.
Posts: 292
Joined: Sun Feb 16, 2014 1:45 pm
Location: Münsterland
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by Ralf H. » Thu Dec 21, 2017 8:18 pm

Portable scheint Umzug von 1.6.10 auf 1.7.1 größtenteils zu funktionieren.
Ein paar interne Links (alles hierhin) muss ich noch abändern, weil sie durch kryptische Zeichen ersetzt wurden. Ist aber nicht so wild und mit "Links prüfen" relativ schnell erledigt.

Die Plugins muss ich noch testen, scheinen auf den 1. Blick aber auch zu funktionieren.

lg,
Ralf
Badminton Individual-/Gruppentraining im Münsterland:
http://www.badminton-tips.de (deutsch)
http://www.badminton-tips.de/en/ (english)

cmb
Posts: 12317
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by cmb » Thu Dec 21, 2017 10:21 pm

Ralf H. wrote:Ein paar interne Links (alles hierhin) muss ich noch abändern, weil sie durch kryptische Zeichen ersetzt wurden.
Könnte ein Bug in Exchange_XH sein. Wenn du Zeit und Lust hast, könnten wir uns das gerne mal näher anschauen.
Ralf. H wrote:Die Plugins muss ich noch testen, scheinen auf den 1. Blick aber auch zu funktionieren.
Das klingt nicht schlecht. Bei den meisten imkompatiblen Plugins kann übrigens nur die Pluginadministration nicht aufgerufen werden (der entsprechende Bereich ist dann einfach leer) – das lässt sich allerdings leicht beheben. Frag im Zweifel einfach nach.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Ralf H.
Posts: 292
Joined: Sun Feb 16, 2014 1:45 pm
Location: Münsterland
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by Ralf H. » Fri Dec 22, 2017 1:12 am

Seid ihr sicher, dass CMSimple_XH 1.7.1 momentan empfohlen werden kann, in Verbindung mit mehreren älteren Plugins und Templates?
Ansich scheint es zu funktionieren, aber...

Wenn ich auf Einstellungen/Info klicke, kommt weisse Seite.
Debugmodus 6 zeigt:
NOTICE: Undefined variable: additionalParams
D:\Badminton Training\www.badminton-tips.de cmsimple Homepage\CMSimple\Portable_XH-1.5\www\plugins\polyglott\classes\Model.php:239
XH-DEPRECATED: Function initvar() is deprecated
D:\Badminton Training\www.badminton-tips.de cmsimple Homepage\CMSimple\Portable_XH-1.5\www\plugins\comments\admin.php:29
XH-DEPRECATED: Function initvar() is deprecated
D:\Badminton Training\www.badminton-tips.de cmsimple Homepage\CMSimple\Portable_XH-1.5\www\plugins\flexslider\admin.php:19
XH-DEPRECATED: Function initvar() is deprecated
D:\Badminton Training\www.badminton-tips.de cmsimple Homepage\CMSimple\Portable_XH-1.5\www\plugins\gallery\admin.php:25
XH-DEPRECATED: Function editmenu() is deprecated
D:\Badminton Training\www.badminton-tips.de cmsimple Homepage\CMSimple\Portable_XH-1.5\www\templates\ferrariclub_zeitabaengig\template.htm:82
Wenn ich Flexslider deaktiviere, ist zumindest dessen Fehler weg, aber die anderen Plugins und Template benötige ich.
Das scheint viel Arbeit bei Fehlersuchen auf mich (euch) zuzukommen? :o

Edit: Habe übrigens nach den Fehlermeldungen von 1.7.1 auf 1.7.2 upgedatet.
Meldungen bleiben.

Edit 02:
a) Comments funktioniert mit Alberts Lösung. Fehler im Debug ebenfalls weg.
b) Flexslider zeigt auch in Version 0.5.1 zig Debugfehler. Flexslider habe ich also weiter deaktiviert.

Edit 03:
lb_gallery funktioniert mit lck Lösung

lg,
Ralf
Last edited by Ralf H. on Fri Dec 22, 2017 2:39 am, edited 2 times in total.
Badminton Individual-/Gruppentraining im Münsterland:
http://www.badminton-tips.de (deutsch)
http://www.badminton-tips.de/en/ (english)

Ralf H.
Posts: 292
Joined: Sun Feb 16, 2014 1:45 pm
Location: Münsterland
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by Ralf H. » Fri Dec 22, 2017 1:44 am

cmb wrote:
Ralf H. wrote:Ein paar interne Links (alles hierhin) muss ich noch abändern, weil sie durch kryptische Zeichen ersetzt wurden.
Könnte ein Bug in Exchange_XH sein. Wenn du Zeit und Lust hast, könnten wir uns das gerne mal näher anschauen.
Habe das Problem beheben können:

Einstellungen|Sprachdatei: Von 1.6.10 übernommen:
Ersetzung: Ae|Oe|Ue|ae|oe|ue|ss|-|
Original: Ä|Ö|Ü|ä|ö|ü|ß|/|

Der Menüeintrag "Shop / Service" wurde bei den Verlinkungen / falsch interpretiert.
Mit den kopierten Einstellungen funktionieren die internen Links wieder.

lg,
Ralf
Badminton Individual-/Gruppentraining im Münsterland:
http://www.badminton-tips.de (deutsch)
http://www.badminton-tips.de/en/ (english)

cmb
Posts: 12317
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by cmb » Fri Dec 22, 2017 8:49 am

Ralf H. wrote:Wenn ich auf Einstellungen/Info klicke, kommt weisse Seite.
Falls die Seite komplett leer ist (also auch kein HTML-Quellcode), dann bitte mit CMSimple_XH 1.7.2 noch einmal im Debug-Modus aufrufen; da sollte eine vernünftige Fehlermeldung erscheinen (das war unter CMSimple_XH 1.7.1 leider nicht der Fall).
Ralf H. wrote:Das scheint viel Arbeit bei Fehlersuchen auf mich (euch) zuzukommen? :o
Ist nicht ganz so wild. Die XH-DEPRECATED Meldungen kannst du getrost ignorieren; die sagen nur, dass eine Funktion nicht mehr verwendet werden sollte – aber die Funktion wird weiterhin funktionieren, zumindest bis CMSimple_XH 2.0.0 (was ja noch ein "bisschen" dauern wird).

Bezüglich der NOTICE in Polyglott_XH's classes/Model.php Zeile 239: die ist mir rätselhaft, da in der gesamten Datei gar keine solche Variable vorkommt.
Ralf H. wrote:Comments funktioniert mit Alberts Lösung.
Vorsicht mit älteren Comments-Versionen. Diese haben eine XSS-Sicherheitslücke.
Ralf H. wrote:Flexslider zeigt auch in Version 0.5.1 zig Debugfehler.
Aktuell ist Flexslider 0.5.4; die Version sollte funktionieren (auch wenn vielleicht noch einige Debug-Meldungen angezeigt werden).
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Ralf H.
Posts: 292
Joined: Sun Feb 16, 2014 1:45 pm
Location: Münsterland
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by Ralf H. » Fri Dec 22, 2017 11:36 am

cmb wrote:Falls die Seite komplett leer ist (also auch kein HTML-Quellcode), dann bitte mit CMSimple_XH 1.7.2 noch einmal im Debug-Modus aufrufen; da sollte eine vernünftige Fehlermeldung erscheinen (das war unter CMSimple_XH 1.7.1 leider nicht der Fall).
Mit 1.7.2 kommt Zeitüberschreitungsfehler:
Maximum execution time of 30 seconds exceeded in D:\Badminton Training\www.badminton-tips.de cmsimple Homepage\CMSimple\Portable_XH-1.5\www\cmsimple\functions.php on line 1252
Ist nicht ganz so wild. Die XH-DEPRECATED Meldungen kannst du getrost ignorieren;
OK. Templatefehler also nicht schlimm.
Bezüglich der NOTICE in Polyglott_XH's classes/Model.php Zeile 239: die ist mir rätselhaft, da in der gesamten Datei gar keine solche Variable vorkommt.
Ist ein Code-Änderungs-Vorschlag von Dir aus 2016.
Vorsicht mit älteren Comments-Versionen. Diese haben eine XSS-Sicherheitslücke.
Bei mir noch Version 4.1
Die neueste 4.3 bekomme ich noch nicht zum Laufen.
twocents_xh sieht leider noch sehr beta aus in der Demo.
Aktuell ist Flexslider 0.5.4; die Version sollte funktionieren (auch wenn vielleicht noch einige Debug-Meldungen angezeigt werden).
Da ich Flexslider eigentlich nur zu Demzwecken probierte, brauche ich mich erstmal damit nicht beschäftigen.

lg,
Ralf
Badminton Individual-/Gruppentraining im Münsterland:
http://www.badminton-tips.de (deutsch)
http://www.badminton-tips.de/en/ (english)

cmb
Posts: 12317
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Wie kann ich auf das neuste CMSimple_XH upgraden/updaten?

Post by cmb » Fri Dec 22, 2017 11:14 pm

Ralf H. wrote:
cmb wrote:Falls die Seite komplett leer ist (also auch kein HTML-Quellcode), dann bitte mit CMSimple_XH 1.7.2 noch einmal im Debug-Modus aufrufen; da sollte eine vernünftige Fehlermeldung erscheinen (das war unter CMSimple_XH 1.7.1 leider nicht der Fall).
Mit 1.7.2 kommt Zeitüberschreitungsfehler:
Maximum execution time of 30 seconds exceeded in D:\Badminton Training\www.badminton-tips.de cmsimple Homepage\CMSimple\Portable_XH-1.5\www\cmsimple\functions.php on line 1252
Ach ja, das leidige Timeoutproblem, das zumindest unter älteren Portable_XH-Versionen auftritt. Wenn es für dich in Ordnung ist lokal unter PHP 7 zu arbeiten, dann verwende am besten Portable_XH 2.0. Wenn du bei PHP 5 bleiben möchtest, dann füge nach diesen Zeilen ein:

Code: Select all

    return true;
Und vergiss nicht, die eingefügte Zeile zu löschen, wenn du auf den Server hoch lädst! Ich versuche eine bessere Lösung für dieses Problem zu finden – kann aber (leider) dauern.
Ralf H. wrote:
Bezüglich der NOTICE in Polyglott_XH's classes/Model.php Zeile 239: die ist mir rätselhaft, da in der gesamten Datei gar keine solche Variable vorkommt.
Ist ein Code-Änderungs-Vorschlag von Dir aus 2016.
Danke. Die Notice kann dann aber eigentlich gar nicht kommen, da die Variable ja immer definiert wird. Kann es sein, dass du die Anpassung nicht korrekt übertragen hast?
Ralf H. wrote:twocents_xh sieht leider noch sehr beta aus in der Demo.
Zugegeben, Twocents_XH ist sehr spartanisch. Bezüglich des Stylings sehe ich da allerdings keinen Verbesserungsbedarf – wer Wert darauf legt (also der Webdesigner), kann das Eingabeformular nach Geschmack aufmotzen. Bezüglich der Funktionalität sehe ich bei dem minimalistischen, selbst programmierten HTML-WYSIWG-Editor ebenfalls wenig Luft nach oben; ich könnte mir aber vorstellen, optional den Medium-Editor anzubieten (mit etwas mehr Funktionalität als bisher).
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Post Reply